# $Revision: 1.5 $, $Date: 2010/07/08 08:39:19 $
# TODO
# cc1plus: warning: command line option "-Wstrict-prototypes" is valid for Ada/C/ObjC but not for C++
Summary:	SilverCity is a lexing package, based on Scintilla
Name:		python-silvercity
Version:	0.9.7
Release:	3
License:	BSD
Group:		Development/Languages/Python
URL:		http://silvercity.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/silvercity/Python%20SilverCity%20Bindings/%{version}/SilverCity-%{version}.tar.gz
# Source0-md5:	4ae4f9691798385dbde3df9cbb228e8c
BuildRequires:	libstdc++-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SilverCity is a lexing package, based on Scintilla, that can provide
lexical analysis for over 20 programming and markup langauges.
SilverCity can be used as a C++ library and also has scripting
language bindings for Python.

%prep
%setup -q -n SilverCity-%{version}
%{__sed} -i -e "1i#!%{_bindir}/env python" PySilverCity/Scripts/*.py

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT{%{_bindir}/*.py,%{_examplesdir}/%{name}-%{version}}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if "%{py_ver}" > "2.4"
%{py_sitedir}/SilverCity-*.egg-info
%endif
%dir %{py_sitedir}/SilverCity
%attr(755,root,root) %{py_sitedir}/SilverCity/_SilverCity.so
%{py_sitedir}/SilverCity/*.py[co]
%{py_sitedir}/SilverCity/default.css
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-silvercity.spec,v $
Revision 1.5  2010/07/08 08:39:19  arekm
- release 3

Revision 1.4  2010/04/23 18:50:50  megabajt
- missing dir
- release 2

Revision 1.3  2010/02/12 20:40:33  sparky
- BR: rpm-pythonprov

Revision 1.2  2010/02/12 10:03:20  glen
- fix source url

Revision 1.1  2010/02/12 09:32:31  glen
- new, based on altlinux src.rpm
